struct platform_nand_ctrl
Prev | Chapter 9. Structures | Next

## Name

struct platform_nand_ctrl — controller level device structure

## Synopsis

    struct platform_nand_ctrl {
      void (* hwcontrol) (struct mtd_info *mtd, int cmd);
      int (* dev_ready) (struct mtd_info *mtd);
      void (* select_chip) (struct mtd_info *mtd, int chip);
      void (* cmd_ctrl) (struct mtd_info *mtd, int dat,unsigned int ctrl);
      void * priv;
    };

## Members

hwcontrol

  platform specific hardware control structure

dev_ready

  platform specific function to read ready/busy pin

select_chip

  platform specific chip select function

cmd_ctrl

  platform specific function for controlling ALE/CLE/nCE. Also used to write command and address

priv

  private data to transport driver specific settings

## Description

All fields are optional and depend on the hardware driver requirements

Prev | Up | Next
struct platform_nand_chip | Home | struct platform_nand_data